/*
 *  Eindhoven University of Technology
 *  Eindhoven, The Netherlands
 *
 *  Name            :   sadf_component.h
 *
 *  Author          :   Bart Theelen (B.D.Theelen@tue.nl)
 *
 *  Date            :   29 August 2006
 *
 *  Function        :   SADF Component
 *
 *  History         :
 *      29-08-06    :   Initial version.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * 
 * In other words, you are welcome to use, share and improve this program.
 * You are forbidden to forbid anyone else to use, share and improve
 * what you give them.   Happy coding!
 */

#ifndef SADF_COMPONENT_H_INCLUDED
#define SADF_COMPONENT_H_INCLUDED

// Include type definitions

#include "sadf_types.h"

// SADF_Component Definition

class SADF_Component {

public:
	// Constructors

	SADF_Component() { };
	SADF_Component(const CId ID);
	SADF_Component(const CString &N, const CId ID);
	SADF_Component(const CString &N, const CId ID, const CId T);
	
	// Destructor

	~SADF_Component() { };

	// Access to instance variables

	void setIdentity(const CId ID) { Identity = ID; };
	void setType(const CId T) { Type = T; };
	
	CId getIdentity() const { return Identity; };
	CString& getName() { return Name; };
	CId getType() const { return Type; };

private:
	// Instance variables
	
	CString		Name;
	CId		Identity;
	CId		Type;
};

#endif
