/*
 *  TU Eindhoven
 *  Eindhoven, The Netherlands
 *
 *  Name            :   sdf.h
 *
 *  Author          :   Sander Stuijk (sander@ics.ele.tue.nl)
 *
 *  Date            :   April 3, 2006
 *
 *  Function        :   Model binding decisions in timed SDFG.
 *
 *  History         :
 *      03-04-06    :   Initial version.
 *
 * $Id: sdf.h,v 1.1.1.1 2007/10/02 10:59:47 sander Exp $
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * 
 * In other words, you are welcome to use, share and improve this program.
 * You are forbidden to forbid anyone else to use, share and improve
 * what you give them.   Happy coding!
 */

#ifndef SDF_RESOURCE_ALLOCATION_MPSOC_SDF_H_INCLUDED
#define SDF_RESOURCE_ALLOCATION_MPSOC_SDF_H_INCLUDED

#include "graph.h"

/**
 * modelBindingAsTimedSDFgraph ()
 * Model all binding decisions in a timed SDF graph.
 */
TimedSDFgraph *modelBindingAsTimedSDFgraph(TimedSDFgraph *g, PlatformGraph *ag);

#endif
